// aimsLegend.js
/*
*  JavaScript template file for ArcIMS HTML Viewer
*		dependent on aimsXML.js, ArcIMSparam.js, aimsCommon.js, aimsMap.js
*/

aimsLegendPresent=true;

var drawLegendOnly=false;
var defaultLegTitle=legTitle;

/*
***************************************************************************************

Legend functions 

***************************************************************************************
*/



// send request to create graphic legend
function getLegend() {
	legendVisible=true;
	drawLegendOnly=true;
	var theString=writeXML();
	//alert(theString);
	showRetrieveMap();
	sendToServer(imsURL,theString,98);
}

// write out the legend display
function showLegend() {
	
	if (legInt) {
		parent.TOCFrame.document.open();
		parent.TOCFrame.document.writeln('<html><meta http-equiv="Content-Type" content="text/html; charset=' + charSet + '"><head><title>' + titleList[3] + '</title>');
		parent.TOCFrame.document.writeln('<style type="text/css">a {text-decoration:none;}</style>');
		parent.TOCFrame.document.writeln('</head>');
		parent.TOCFrame.document.writeln('<body BGCOLOR="White" text="Black" leftmargin=0 topmargin=0 rightmargin=0 link="Black" vlink="Black" alink="Black">');
		parent.TOCFrame.document.writeln('<center>');
		parent.TOCFrame.document.writeln('<IMG SRC="' + legendImage + '" HSPACE=0 VSPACE=0 BORDER=0 ALT="' + titleList[3] + '"></center>');

		parent.TOCFrame.document.writeln('</body></html>');
		parent.TOCFrame.document.close();
	} else {
		var Win1 = open("","LegendWindow","width=190,height=300,scrollbars=yes,resizable=yes");
		Win1.document.writeln('<html><meta http-equiv="Content-Type" content="text/html; charset=' + charSet + '"><head><title>' + titleList[3] + '</title>');
		Win1.document.writeln('<link rel="stylesheet" href="'+pagStile+'" type="text/css">');
		Win1.document.writeln('<script language="Javascript">');
		Win1.document.writeln('	var t;');
		Win1.document.writeln('	var tName = "";');
		Win1.document.writeln('	if (opener) {');
		Win1.document.writeln('		if (opener.name=="MapFrame") {');
		Win1.document.writeln('			t = opener.parent.MapFrame;');
		Win1.document.writeln('			tName = "opener.parent.MapFrame.";');
		Win1.document.writeln('		} else {');
		Win1.document.writeln('			t = opener;');
		Win1.document.writeln('			tName = "opener.";');
		Win1.document.writeln('		}');
		Win1.document.writeln('	} else {');
				
		Win1.document.writeln('		if (parent.MapFrame!=null) {');
		Win1.document.writeln('			t = parent.MapFrame;');
		Win1.document.writeln('			tName = "parent.MapFrame.";');
		Win1.document.writeln('		} else {');
		Win1.document.writeln('			t=document;');
		Win1.document.writeln('		}');
		Win1.document.writeln('	}');
		Win1.document.writeln(' function closeIt() {');
		Win1.document.writeln('		t.legendVisible=false;');
		Win1.document.writeln('		window.close();');
		Win1.document.writeln('	}');
		Win1.document.writeln('</script>');
		Win1.document.writeln('</head>');
		Win1.document.writeln('<body BGCOLOR="White" text="#ff0000" leftmargin=0 topmargin=0 rightmargin=0 link="Gray" vlink="Gray" alink="Gray" onclose="closeIt()">');
		Win1.document.writeln('<form onsubmit="closeIt(); return false;"><center>');

		Win1.document.writeln('<font size="-2"><b>');

		Win1.document.writeln('<input type="button" class=background NAME="hideButton1" VALUE="' + buttonList[0] + '" onClick="closeIt()">');
		Win1.document.writeln('<hr width="75%">');
		Win1.document.writeln('<IMG SRC="' + legendImage + '" HSPACE=0 VSPACE=0 BORDER=0 ALT="' + titleList[3] + '">');
		Win1.document.writeln('<hr width="75%">');
		Win1.document.writeln('<input type="button" class=background NAME="hideButton2" VALUE="' + buttonList[0] + '" onClick="closeIt()">');
		Win1.document.writeln('</b></font></center></FORM>');
		Win1.document.writeln('</body></html>');
		Win1.document.close();
		Win1.focus();
		Win1=null;
	}

	//}
	
}

// add Legend to XML request
function addLegendToMap() {
	var legString = '<LEGEND title="' + legTitle + '" font="' + legFont + '" titlefontsize="16" width="' + legWidth + '" height="' + legHeight + '" ';
	legString += 'autoextend="true" backgroundcolor="255,255,255" cellspacing="20"';
	if (hideLayersFromList) {
		legString += '>\n<LAYERS>\n';
		for (var legvar=0;legvar<noListLayer.length;legvar++) {
			if (noListLayer[legvar]) legString += '<LAYER id="' + LayerID[legvar] + '" />\n';
		}
		legString += '</LAYERS>\n';
		legString += '</LEGEND>\n';
	} else {
		legString += ' />\n';
	}
	if (drawLegendOnly) legString = legString + '<DRAW map="false" />\n';
	return legString;
}
